Subject: Re: I/O timeout in nncp-daemon

From: Sergey Matveev <[email-masked]>
Date: Thu, 28 Jan 2021 10:40:24 +0300

*** John Goerzen [2021-01-27 16:48]:
>> give an answer (from TCP point of view) during 10 seconds.
>I have a number of situations where that assumption wouldn't be true

I understand that now. My bad assumptions.

>Could it be doing the checksum inline while it's writing it to disk in the
>first place?

Of course! But only if it gets the file from the very beginning. Or if
Merkle trees are used, to be able to do part of their computations in
place.

I will look at all of that subject (with checking files integrity
asynchronously) when will find time.

PS: please, do not add me as one of recipient of the email message -- I
am already subscribed to the maillist, and my Mail-Followup-To header
suggests that: https://cr.yp.to/proto/replyto.html

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF